range.hpp File Reference

Stuff related to value of Range HTTP-field. More...

`#include <restinio/helpers/http_field_parsers/basics.hpp>`
`#include <restinio/variant.hpp>`

Go to the source code of this file.

## Classes

struct | restinio::http_field_parsers::range_details::double_ended_range_t< T >
| Value of range for the case where both ends of the range are defined. More...
struct | restinio::http_field_parsers::range_details::open_ended_range_t< T >
| Value of range for the case where only left border of the range is defined. More...
struct | restinio::http_field_parsers::range_details::suffix_length_t< T >
| Value of range for the case where only length of range's suffix is defined. More...
struct | restinio::http_field_parsers::range_details::byte_ranges_specifier_t< T >
| A struct that holds a container of byte_range_specs. More...
struct | restinio::http_field_parsers::range_details::other_ranges_specifier_t
| A description of a range value of units those are not "bytes". More...
struct | restinio::http_field_parsers::range_value_t< T >
| Tools for working with the value of Range HTTP-field. More...

## Namespaces

namespace | restinio
namespace | restinio::http_field_parsers
namespace | restinio::http_field_parsers::range_details

## Typedefs

template<typename T >
using | restinio::http_field_parsers::range_details::byte_range_spec_t = variant_t< double_ended_range_t< T >, open_ended_range_t< T >, suffix_length_t< T > >
| Variant type for all possible cases of specification for one range. More...
template<typename T >
using | restinio::http_field_parsers::range_details::value_t = variant_t< byte_ranges_specifier_t< T >, other_ranges_specifier_t >
| Variant type for holding parsed value of Range HTTP-field. More...

## Functions

template<typename T >
RESTINIO_NODISCARD auto | restinio::http_field_parsers::range_details::make_byte_range_spec_parser ()
| Factory for creation of a parser for byte_range_spec values. More...
RESTINIO_NODISCARD auto | restinio::http_field_parsers::range_details::make_bytes_prefix_parser ()
| Factory for a parser of 'bytes=' prefix. More...
template<typename T >
RESTINIO_NODISCARD auto | restinio::http_field_parsers::range_details::make_byte_ranges_specifier_parser ()
| Factory for creation of a parser for byte_ranges_specifier values. More...
RESTINIO_NODISCARD auto | restinio::http_field_parsers::range_details::make_other_ranges_specifier_parser ()
| Factory for creation of a parser for other_ranges_specifier values. More...

## Detailed Description

Stuff related to value of Range HTTP-field.

Since
  v.0.6.2

Definition in file range.hpp.